API referenceSharing
Share a session with a person
POST
bearerheader
AuthorizationBearer <token>An API token
id*stringA session id
application/json- body
with*stringThe person's email or name
role*ShareRoleValue in
"viewer""collaborator""approver"Shared
application/json- response
with*stringTheir principal
role*ShareRoleValue in
"viewer""collaborator""approver"curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/shares' \ -H 'Content-Type: application/json' \ -d '{ "with": "bob@example.com", "role": "viewer"}'Example Response
{ "with": "string", "role": "viewer"}